HDF5 C++ API Reference Manual

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

# H5::AbstractDs Member List

This is the complete list of members for H5::AbstractDs, including all inherited members.

AbstractDs(const AbstractDs &original) | H5::AbstractDs |
AbstractDs() | H5::AbstractDs | `[protected]`
fromClass() const =0 | H5::AbstractDs | `[pure virtual]`
getArrayType() const | H5::AbstractDs |
getCompType() const | H5::AbstractDs |
getDataType() const | H5::AbstractDs |
getEnumType() const | H5::AbstractDs |
getFloatType() const | H5::AbstractDs |
getInMemDataSize() const =0 | H5::AbstractDs | `[pure virtual]`
getIntType() const | H5::AbstractDs |
getSpace() const =0 | H5::AbstractDs | `[pure virtual]`
getStorageSize() const =0 | H5::AbstractDs | `[pure virtual]`
getStrType() const | H5::AbstractDs |
getTypeClass() const | H5::AbstractDs |
getVarLenType() const | H5::AbstractDs |
~AbstractDs() | H5::AbstractDs | `[virtual]`